package p.studio.workspaces.assets.messages.events;

import p.packer.messages.AssetReference;
import p.studio.lsp.events.StudioEvent;

public record StudioAssetsRefreshRequestedEvent(
        AssetReference preferredAssetReference,
        boolean deepSync) implements StudioEvent {
    public StudioAssetsRefreshRequestedEvent() {
        this(null, false);
    }

    public StudioAssetsRefreshRequestedEvent(AssetReference preferredAssetReference) {
        this(preferredAssetReference, false);
    }
}
